Index: trunk/ui/settingsdialog.ui
===================================================================
--- trunk/ui/settingsdialog.ui	(revision 87)
+++ trunk/ui/settingsdialog.ui	(revision 94)
@@ -11,21 +11,4 @@
     <normaloff>:/images/icons/preferences_system.png</normaloff>:/images/icons/preferences_system.png</iconset>
   </property>
-  <widget class="Line" name="lineHorizontal">
-   <property name="maximumSize">
-    <size>
-     <width>16777215</width>
-     <height>2</height>
-    </size>
-   </property>
-   <property name="frameShadow">
-    <enum>QFrame::Plain</enum>
-   </property>
-   <property name="lineWidth">
-    <number>2</number>
-   </property>
-   <property name="orientation">
-    <enum>Qt::Horizontal</enum>
-   </property>
-  </widget>
   <widget class="QWidget" name="bgGrey" native="true">
    <property name="sizePolicy">
@@ -75,39 +58,74 @@
     <bool>true</bool>
    </property>
-   <widget class="QToolButton" name="buttonHelp">
-    <property name="enabled">
-     <bool>false</bool>
+   <layout class="QVBoxLayout" name="_2">
+    <property name="spacing">
+     <number>0</number>
     </property>
-    <property name="cursor">
-     <cursorShape>PointingHandCursor</cursorShape>
+    <property name="margin">
+     <number>0</number>
     </property>
-    <property name="toolTip">
-     <string>Help</string>
-    </property>
-    <property name="statusTip">
-     <string>Get preferences help</string>
-    </property>
-    <property name="text">
-     <string>Help</string>
-    </property>
-    <property name="icon">
-     <iconset resource="../resources/tspsg.qrc">
-      <normaloff>:/images/icons/help_hint.png</normaloff>:/images/icons/help_hint.png</iconset>
-    </property>
-    <property name="autoRaise">
-     <bool>true</bool>
-    </property>
-   </widget>
-   <widget class="QDialogButtonBox" name="buttonBox">
-    <property name="sizePolicy">
-     <sizepolicy hsizetype="Maximum" vsizetype="Fixed">
-      <horstretch>0</horstretch>
-      <verstretch>0</verstretch>
-     </sizepolicy>
-    </property>
-    <property name="standardButtons">
-     <set>QDialogButtonBox::Cancel|QDialogButtonBox::Save</set>
-    </property>
-   </widget>
+    <item>
+     <widget class="Line" name="lineHorizontal">
+      <property name="maximumSize">
+       <size>
+        <width>16777215</width>
+        <height>2</height>
+       </size>
+      </property>
+      <property name="frameShadow">
+       <enum>QFrame::Plain</enum>
+      </property>
+      <property name="lineWidth">
+       <number>2</number>
+      </property>
+      <property name="orientation">
+       <enum>Qt::Horizontal</enum>
+      </property>
+     </widget>
+    </item>
+    <item>
+     <layout class="QHBoxLayout" name="buttons">
+      <property name="spacing">
+       <number>6</number>
+      </property>
+      <property name="margin">
+       <number>6</number>
+      </property>
+      <item>
+       <widget class="QToolButton" name="buttonHelp">
+        <property name="enabled">
+         <bool>false</bool>
+        </property>
+        <property name="cursor">
+         <cursorShape>PointingHandCursor</cursorShape>
+        </property>
+        <property name="toolTip">
+         <string>Help</string>
+        </property>
+        <property name="statusTip">
+         <string>Get preferences help</string>
+        </property>
+        <property name="text">
+         <string>Help</string>
+        </property>
+        <property name="icon">
+         <iconset resource="../resources/tspsg.qrc">
+          <normaloff>:/images/icons/help_hint.png</normaloff>:/images/icons/help_hint.png</iconset>
+        </property>
+        <property name="autoRaise">
+         <bool>true</bool>
+        </property>
+       </widget>
+      </item>
+      <item>
+       <widget class="QDialogButtonBox" name="buttonBox">
+        <property name="standardButtons">
+         <set>QDialogButtonBox::Cancel|QDialogButtonBox::Save</set>
+        </property>
+       </widget>
+      </item>
+     </layout>
+    </item>
+   </layout>
   </widget>
   <widget class="QWidget" name="bgWhite" native="true">
@@ -152,5 +170,5 @@
     <bool>true</bool>
    </property>
-   <layout class="QVBoxLayout" name="verticalLayout_3">
+   <layout class="QHBoxLayout" name="_3">
     <item>
      <widget class="QTabWidget" name="tabWidget">
@@ -162,5 +180,5 @@
         <string>General TSPSG settings</string>
        </attribute>
-       <layout class="QVBoxLayout" name="verticalLayout_2">
+       <layout class="QVBoxLayout" name="_4">
         <item>
          <widget class="QCheckBox" name="cbAutosize">
@@ -190,5 +208,5 @@
         </item>
         <item>
-         <spacer name="verticalSpacer_2">
+         <spacer name="spacer">
           <property name="orientation">
            <enum>Qt::Vertical</enum>
@@ -211,7 +229,7 @@
         <string>Task generation and solving settings</string>
        </attribute>
-       <layout class="QVBoxLayout" name="verticalLayout_4">
-        <item>
-         <layout class="QHBoxLayout" name="horizontalLayout_3">
+       <layout class="QVBoxLayout" name="_5">
+        <item>
+         <layout class="QHBoxLayout" name="_10">
           <item>
            <widget class="QLabel" name="labelFractionalAccuracy">
@@ -219,7 +237,4 @@
              <string>Fractional accuracy:</string>
             </property>
-            <property name="buddy">
-             <cstring>spinFractionalAccuracy</cstring>
-            </property>
            </widget>
           </item>
@@ -238,5 +253,5 @@
           </item>
           <item>
-           <spacer name="horizontalSpacer_5">
+           <spacer name="spacer_3">
             <property name="orientation">
              <enum>Qt::Horizontal</enum>
@@ -253,5 +268,5 @@
         </item>
         <item>
-         <layout class="QHBoxLayout" name="horizontalLayout_2">
+         <layout class="QHBoxLayout" name="_7">
           <item>
            <widget class="QGroupBox" name="groupBox">
@@ -259,7 +274,7 @@
              <string>Random numbers</string>
             </property>
-            <layout class="QVBoxLayout" name="verticalLayout_5">
+            <layout class="QVBoxLayout" name="_8">
              <item>
-              <layout class="QFormLayout" name="formLayout">
+              <layout class="QFormLayout" name="_9">
                <property name="fieldGrowthPolicy">
                 <enum>QFormLayout::ExpandingFieldsGrow</enum>
@@ -324,5 +339,5 @@
           </item>
           <item>
-           <spacer name="horizontalSpacer">
+           <spacer name="spacer_2">
             <property name="orientation">
              <enum>Qt::Horizontal</enum>
@@ -339,5 +354,5 @@
         </item>
         <item>
-         <spacer name="verticalSpacer_3">
+         <spacer name="spacer_5">
           <property name="orientation">
            <enum>Qt::Vertical</enum>
@@ -346,5 +361,5 @@
            <size>
             <width>0</width>
-            <height>1</height>
+            <height>0</height>
            </size>
           </property>
@@ -360,5 +375,5 @@
         <string>Solution output settings</string>
        </attribute>
-       <layout class="QVBoxLayout" name="verticalLayout">
+       <layout class="QVBoxLayout" name="_6">
         <item>
          <widget class="QCheckBox" name="cbShowMatrix">
@@ -380,5 +395,5 @@
           </property>
           <item>
-           <spacer name="horizontalSpacer_3">
+           <spacer name="spacer_4">
             <property name="orientation">
              <enum>Qt::Horizontal</enum>
@@ -422,5 +437,5 @@
           </item>
           <item>
-           <spacer name="horizontalSpacer_4">
+           <spacer name="spacer_6">
             <property name="orientation">
              <enum>Qt::Horizontal</enum>
@@ -450,7 +465,7 @@
         </item>
         <item>
-         <layout class="QHBoxLayout" name="horizontalLayout_4">
-          <item>
-           <widget class="QGroupBox" name="groupBox_2">
+         <layout class="QHBoxLayout" name="_11">
+          <item>
+           <widget class="QGroupBox" name="groupOutput">
             <property name="title">
              <string>Output font settings</string>
@@ -495,5 +510,5 @@
           </item>
           <item>
-           <spacer name="horizontalSpacer_2">
+           <spacer name="spacer_7">
             <property name="orientation">
              <enum>Qt::Horizontal</enum>
@@ -540,6 +555,6 @@
    <hints>
     <hint type="sourcelabel">
-     <x>155</x>
-     <y>252</y>
+     <x>190</x>
+     <y>30</y>
     </hint>
     <hint type="destinationlabel">
@@ -556,6 +571,6 @@
    <hints>
     <hint type="sourcelabel">
-     <x>155</x>
-     <y>252</y>
+     <x>190</x>
+     <y>30</y>
     </hint>
     <hint type="destinationlabel">
@@ -572,10 +587,10 @@
    <hints>
     <hint type="sourcelabel">
-     <x>81</x>
-     <y>8</y>
+     <x>80</x>
+     <y>150</y>
     </hint>
     <hint type="destinationlabel">
-     <x>46</x>
-     <y>8</y>
+     <x>91</x>
+     <y>175</y>
     </hint>
    </hints>
@@ -588,10 +603,10 @@
    <hints>
     <hint type="sourcelabel">
-     <x>81</x>
-     <y>8</y>
+     <x>80</x>
+     <y>150</y>
     </hint>
     <hint type="destinationlabel">
-     <x>46</x>
-     <y>8</y>
+     <x>91</x>
+     <y>175</y>
     </hint>
    </hints>
@@ -604,10 +619,10 @@
    <hints>
     <hint type="sourcelabel">
-     <x>46</x>
-     <y>8</y>
+     <x>91</x>
+     <y>175</y>
     </hint>
     <hint type="destinationlabel">
-     <x>29</x>
-     <y>9</y>
+     <x>184</x>
+     <y>174</y>
     </hint>
    </hints>
